Retail Express API 2.1

Searches Loyalty Adjustment Reasons by parameters

Searches Loyalty Adjustment Reasons by parameters

get
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons

Query Parameters

filter_bystring | null

Filter by.
Available field name values: id, name, is_system, is_deleted

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: name:eq:reason name, is_system:eq:true

order_bystring | null

Order by.

Available field name values: id, name, is_system, is_deleted

Available direction values: asc, desc.

Example: id asc, name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Loyalty Adjustment Reasons data

LoyaltyAdjustmentReason.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/loyaltyadjustmentreasons
 
application/json

Creates Loyalty Adjustment Reason

Sample request:

 POST /loyaltyadjustmentreasons
 {
     "name": "Loyalty Adjustment Reason Name"
 }
post
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Loyalty Adjustment Reason model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Loyalty Adjustment Reason created

LoyaltyAdjustmentReason

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Loyalty Adjustment Reason Id.

namestring | null

Loyalty Adjustment Reason name

is_systemboolean

Loyalty Adjustment Reason IsSystem flag

is_deletedboolean | null

Loyalty Adjustment Reason IsDeleted flag

post/loyaltyadjustmentreasons

Body

{}
 
application/json

Gets specific Loyalty Adjustment Reason by unique id

Gets specific Loyalty Adjustment Reason by unique id

get
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Loyalty Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Loyalty Adjustment Reason

LoyaltyAdjustmentReason

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Loyalty Adjustment Reason Id.

namestring | null

Loyalty Adjustment Reason name

is_systemboolean

Loyalty Adjustment Reason IsSystem flag

is_deletedboolean | null

Loyalty Adjustment Reason IsDeleted flag

get/loyaltyadjustmentreasons/{id}
 
application/json

Updates Loyalty Adjustment Reason

Sample request:

 PUT /loyaltyadjustmentreasons/12
 {
     "name": "Updated Loyalty Adjustment Reason name",
     "is_deleted": false
 }
put
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Loyalty Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Loyalty Adjustment Reason model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Loyalty Adjustment Reason

LoyaltyAdjustmentReason

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Loyalty Adjustment Reason Id.

namestring | null

Loyalty Adjustment Reason name

is_systemboolean

Loyalty Adjustment Reason IsSystem flag

is_deletedboolean | null

Loyalty Adjustment Reason IsDeleted flag

put/loyaltyadjustmentreasons/{id}

Body

{}
 
application/json

Deletes Loyalty Adjustment Reason by id

Deletes Loyalty Adjustment Reason by id

delete
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Loyalty Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Loyalty Adjustment Reason deleted

delete/loyaltyadjustmentreasons/{id}